info.bioinfweb.jphyloio.formats.mega

## Interface MEGAConstants

- All Known Implementing Classes:
    MEGAEventReader, MEGAFactory

      public interface MEGAConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `COMMAND_END`
    `static java.lang.String` | `COMMAND_NAME_DESCRIPTION`
    `static java.lang.String` | `COMMAND_NAME_DOMAIN`
    `static java.lang.String` | `COMMAND_NAME_FORMAT`
    `static java.lang.String` | `COMMAND_NAME_GENE`
    `static java.lang.String` | `COMMAND_NAME_LABEL`
    `static java.lang.String` | `COMMAND_NAME_TITLE`
    `static char` | `COMMAND_START`
    `static char` | `COMMENT_END`
    `static char` | `COMMENT_START`
    `static char` | `DEFAULT_LABEL_CHAR`
    `static java.lang.String` | `FIRST_LINE`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_DATA_FORMAT`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_DATA_TYPE`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_IDENTICAL`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_INDEL`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_MISSING`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_NSITES`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_NTAXA`
    `static java.lang.String` | `FORMAT_VALUE_DNA_DATA_TYPE`
    `static java.lang.String` | `FORMAT_VALUE_INTERLEAVED_DATA_FORMAT`
    `static java.lang.String` | `FORMAT_VALUE_NUCLEOTIDE_DATA_TYPE`
    `static java.lang.String` | `FORMAT_VALUE_PROTEIN_DATA_TYPE`
    `static java.lang.String` | `FORMAT_VALUE_RNA_DATA_TYPE`
    `static java.lang.String` | `LABEL_CHAR_SET_ID`
    `static java.lang.String` | `MEGA_FORMAT_NAME`
    `static java.lang.String` | `MEGA_NAMESPACE_PREFIX`
    `static java.lang.String` | `MEGA_PREDICATE_NAMESPACE`
    `static char` | `SEUQUENCE_START`

- - ### Field Detail

    - #### MEGA_FORMAT_NAME

          static final java.lang.String MEGA_FORMAT_NAME

      See Also:
        Constant Field Values

    - #### FIRST_LINE

          static final java.lang.String FIRST_LINE

      See Also:
        Constant Field Values

    - #### COMMAND_END

          static final char COMMAND_END

      See Also:
        Constant Field Values

    - #### COMMAND_START

          static final char COMMAND_START

      See Also:
        Constant Field Values

    - #### SEUQUENCE_START

          static final char SEUQUENCE_START

      See Also:
        Constant Field Values

    - #### COMMENT_START

          static final char COMMENT_START

      See Also:
        Constant Field Values

    - #### COMMENT_END

          static final char COMMENT_END

      See Also:
        Constant Field Values

    - #### DEFAULT_LABEL_CHAR

          static final char DEFAULT_LABEL_CHAR

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_TITLE

          static final java.lang.String COMMAND_NAME_TITLE

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_DESCRIPTION

          static final java.lang.String COMMAND_NAME_DESCRIPTION

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_FORMAT

          static final java.lang.String COMMAND_NAME_FORMAT

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_LABEL

          static final java.lang.String COMMAND_NAME_LABEL

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_GENE

          static final java.lang.String COMMAND_NAME_GENE

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_DOMAIN

          static final java.lang.String COMMAND_NAME_DOMAIN

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_NTAXA

          static final java.lang.String FORMAT_SUBCOMMAND_NTAXA

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_NSITES

          static final java.lang.String FORMAT_SUBCOMMAND_NSITES

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_DATA_TYPE

          static final java.lang.String FORMAT_SUBCOMMAND_DATA_TYPE

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_MISSING

          static final java.lang.String FORMAT_SUBCOMMAND_MISSING

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_INDEL

          static final java.lang.String FORMAT_SUBCOMMAND_INDEL

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_IDENTICAL

          static final java.lang.String FORMAT_SUBCOMMAND_IDENTICAL

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_DATA_FORMAT

          static final java.lang.String FORMAT_SUBCOMMAND_DATA_FORMAT

      See Also:
        Constant Field Values

    - #### FORMAT_VALUE_NUCLEOTIDE_DATA_TYPE

          static final java.lang.String FORMAT_VALUE_NUCLEOTIDE_DATA_TYPE

      See Also:
        Constant Field Values

    - #### FORMAT_VALUE_DNA_DATA_TYPE

          static final java.lang.String FORMAT_VALUE_DNA_DATA_TYPE

      See Also:
        Constant Field Values

    - #### FORMAT_VALUE_RNA_DATA_TYPE

          static final java.lang.String FORMAT_VALUE_RNA_DATA_TYPE

      See Also:
        Constant Field Values

    - #### FORMAT_VALUE_PROTEIN_DATA_TYPE

          static final java.lang.String FORMAT_VALUE_PROTEIN_DATA_TYPE

      See Also:
        Constant Field Values

    - #### FORMAT_VALUE_INTERLEAVED_DATA_FORMAT

          static final java.lang.String FORMAT_VALUE_INTERLEAVED_DATA_FORMAT

      See Also:
        Constant Field Values

    - #### LABEL_CHAR_SET_ID

          static final java.lang.String LABEL_CHAR_SET_ID

      See Also:
        Constant Field Values

    - #### MEGA_NAMESPACE_PREFIX

          static final java.lang.String MEGA_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### MEGA_PREDICATE_NAMESPACE

          static final java.lang.String MEGA_PREDICATE_NAMESPACE

      See Also:
        Constant Field Values